Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/40039/?format=api
{ "ob_id": 40039, "uuid": "5768b4e7462f4facbcf447c8cd3929b9", "title": "Daily Colour and Intensity Orthophotos of the Cliff and Beach at Happisburgh, Norfolk, UK (April-December 2019).", "abstract": "This dataset contains orthophotos collected daily along a 450 metre coastal stretch at Happisburgh, UK, over a time span of 9 months (April 6, 2019 to December 23, 2019). The dataset contains 190 colour images and 190 intensity images in .png format. The orthophotos are produced by projection of LiDAR (Light Detection And Ranging) scans of the coastal stretch. There are 190 images out of a possible 262 days, since only days when scans were performed from two locations are included, which didn't happen every day due to weather conditions. These data were collected to better understand the dynamic of beach-cliff and shore platform interaction along soft cliffed coasts. ScanLAB Projects Ltd and the British Geological Survey (BGS) were responsible for the collection of the data, funded by the UK Natural Environment Research Council (NE/M004996/1; BLUE-coast project).", "keywords": "coast, cliff, beach, shore, platform, Happisburgh, LiDAR, orthophotos, meteorology, oceanography", "publicationState": "citable", "dataPublishedTime": "2023-08-11T11:07:53", "doiPublishedTime": "2023-10-11T12:37:09", "updateFrequency": "notPlanned", "status": "superseded", "result_field": null, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11085/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3817/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/49858/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66193/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66194/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66195/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66196/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66197/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66198/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66199/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66200/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66201/?format=api" ], "dataLineage": "The orthophotos are produced by projecting LIDAR scans. The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12719/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/40028/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/40060/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195144/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195140/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195142/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195141/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195154/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195146/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195145/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195143/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195148/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195149/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195150/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195151/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195152/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195153/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195147/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/40041/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }